<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{.Title}}</title>
    <link href="static/css/container.css" rel="stylesheet">
    <link href="static/css/font.css" rel="stylesheet">
    <link href="static/css/doc.css" rel="stylesheet">
    <link href="static/css/docE.css" rel="stylesheet">

</head>
<body>
    <div class="container f-nm">
        <input type="text" id="title" class="title f-nm" placeholder="제목을 입력하세요." value="{{.Title}}" >
        <nav>
            <div class="toc">
                <div class="toc-title"><목차></div>
                <div class="toc-item-box">
                    {{range $i, $s := .Contents}}
                    <div class="toc-item" id="t{{$i}}">
                            <a href="#h1" class="toc-anchor">{{$i}}.</a>
                            <input type="text" class="toc-text f-nm" value="{{.Title}}" onkeydown="modifyItem(event)" onkeyup="modifyItem(event)">
                            <button class="toc-item-remove" onclick="removeItem(event)">제거</button>
                    </div>
                    {{end}}
                </div>
                
                <div id="newItem" class="toc-item">+</div>
            </div>
        </nav>
        <main>
            {{range $i, $s := .Contents}}
            <section id="h{{$i}}">
                <h2>
                    <a href="#t{{$i}}" class="header-anchor">{{$i}}.</a> <span> {{.Title}}</span>
                </h2>
                <article class="article-content" contenteditable="true">{{.Contents}}</article>
            </section>
            {{end}}
        </main>
        <div class="newItem" onclick="newNode()">+</div>
        <form action="" method="post" id="saveform">
            <button id="save">저장하기</button>
        </form>  
    </div>
</body>
<script defer src="static/js/docEdit.js"></script>

</html>